## qoa 0+git20251017+ds

=== Makefile ===
CC ?= gcc

# QOACONV
# Requires
# - https://github.com/mackron/dr_libs/blob/master/dr_mp3.h
# - https://github.com/mackron/dr_libs/blob/master/dr_flac.h
# Remove -D QOACONV_HAS_DRMP3 and -D QOACONV_HAS_DRFLAC to compile qoaconv
# without MP3/FLAC support
TARGET_CONV ?= qoaconv
CFLAGS_CONV ?= -std=c99 -O3 -D QOACONV_HAS_DRMP3 -D QOACONV_HAS_DRFLAC
LFLAGS_CONV ?= -lm


# QOAPLAY
# Requires
# - https://github.com/floooh/sokol/blob/master/sokol_audio.h
# FIXME: not yet tested on Windows/macOS
TARGET_PLAY ?= qoaplay
CFLAGS_PLAY ?= -std=gnu99 -O3

ifeq ($(OS),Windows_NT)
	LFLAGS_PLAY ?= # defined in #pragma() in sokol_audio.h
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Darwin)
		LFLAGS_PLAY ?= -pthread -framework AudioToolbox
	else
		LFLAGS_PLAY ?= -pthread -lasound
	endif
endif

all: $(TARGET_PLAY) $(TARGET_CONV)

play: $(TARGET_PLAY)
$(TARGET_PLAY):$(TARGET_PLAY).c qoa.h
	$(CC) $(CFLAGS_PLAY) $(TARGET_PLAY).c -o $(TARGET_PLAY) $(LFLAGS_PLAY)

conv: $(TARGET_CONV)
$(TARGET_CONV):$(TARGET_CONV).c qoa.h
	$(CC) $(CFLAGS_CONV) $(TARGET_CONV).c -o $(TARGET_CONV) $(LFLAGS_CONV)

.PHONY: clean
clean:
	$(RM) $(TARGET_PLAY) $(TARGET_CONV)

=== debian/changelog ===
qoa (0+git20251017+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1118286)

 -- Alex Myczko <tar@debian.org>  Fri, 17 Oct 2025 20:43:03 +0200

=== debian/control ===
Source: qoa
Section: libs
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/phoboslab/qoa
Vcs-Browser: https://salsa.debian.org/debian/qoa
Vcs-Git: https://salsa.debian.org/debian/qoa.git

Package: qoa
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: “Quite OK Audio Format” for fast, lossy audio compression
 This is fast. It decodes audio 3x faster than Ogg-Vorbis, while offering
 better quality and compression than ADPCM (278 kbits/s for 44khz stereo).
 .
 QOA is simple. The reference en-/decoder fits in about 400 lines of C. The
 file format specification is a single page PDF.

Package: libqoa-dev
Section: libdevel
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libstb-dev
Description: “Quite OK Audio Format” for fast, lossy audio compression (devel)
 This is the original QOA implementation to work with images with C or C++.
 .
 This package contains the single header file.

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/qoa-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/qoa-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/qoa/ qoa-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/qoa/qoa-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
#opts="mode=git" http://git.example.com/qoa.git \
#    refs/tags/v([\d\.]+)
